Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.document
Class FileDocumentProvider.SafeChange

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.document.FileDocumentProvider.SafeChange

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  FileDocumentProvider

    protected class FileDocumentProvider.SafeChange

extends java.lang.Object
implements java.lang.Runnable

Runnable encapsulating an element state change. This runnable ensures that a element change failed message is sent out to the element state listeners in case an exception occurred.

Constructor Summary
`FileDocumentProvider.SafeChange(IFileEditorInput input)` Creates a new safe runnable for the given input.

Method Summary
`protected void` `execute(IFileEditorInput input)` Execute the change.
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileDocumentProvider.SafeChange

    public FileDocumentProvider.SafeChange(IFileEditorInput input)

  Creates a new safe runnable for the given input.

  Parameters:
    `input` - the input

Method Detail

### execute

    protected void execute(IFileEditorInput input)
                    throws java.lang.Exception

  Execute the change. Subclass responsibility.

  Parameters:
    `input` - the input
  Throws:
    `java.lang.Exception` - an exception in case of error

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.